Managed Skills
Create a managed skill source
POST /v1/managed-skill-sources · SDK createManagedSkillSource · CLI deployments managed-skill-source create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
idempotency-key*stringLength
1 <= length <= 512application/json- body
key*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
length <= 128licenseHash?stringMatch
^sha256:[a-f0-9]{64}$metadata?name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120pinnedCommit?stringMatch
^[a-f0-9]{40,64}$repositoryUrl?stringLength
length <= 2048ManagedSkillSourceResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$key*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
length <= 128licenseHash?stringMatch
^sha256:[a-f0-9]{64}$metadata?name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120pinnedCommit?stringrepositoryUrl?stringLength
length <= 2048status*stringValue in
"active""archived"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/managed-skill-sources" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "key": "string", "name": "string" }'{ "createdAt": "2019-08-24T14:15:22Z", "id": "string", "key": "string", "licenseHash": "string", "metadata": { "property1": null, "property2": null }, "name": "string", "pinnedCommit": "string", "repositoryUrl": "string", "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}